aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.Multipart

# Documentation

data InitiateMultipartUpload #

Constructors

InitiateMultipartUpload |

Fields

- imuBucket :: Bucket
- imuObjectName :: Object
- imuCacheControl :: Maybe Text
- imuContentDisposition :: Maybe Text
- imuContentEncoding :: Maybe Text
- imuContentType :: Maybe Text
- imuExpires :: Maybe Int
- imuMetadata :: [(Text, Text)]
- imuStorageClass :: Maybe StorageClass
- imuWebsiteRedirectLocation :: Maybe Text
- imuAcl :: Maybe CannedAcl
- imuServerSideEncryption :: Maybe ServerSideEncryption
- imuAutoMakeBucket :: Bool

  Internet Archive S3 nonstandard extension

#### Instances

Instances details

SignQuery InitiateMultipartUpload # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration InitiateMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration

Methods

signQuery :: InitiateMultipartUpload -> ServiceConfiguration InitiateMultipartUpload queryType -> SignatureData -> SignedQuery #

Show InitiateMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> InitiateMultipartUpload -> ShowS # show :: InitiateMultipartUpload -> String # showList :: [InitiateMultipartUpload] -> ShowS #
Transaction InitiateMultipartUpload InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration InitiateMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration

postInitiateMultipartUpload :: Bucket -> Text -> InitiateMultipartUpload #

data InitiateMultipartUploadResponse #

Constructors

InitiateMultipartUploadResponse |

Fields

- imurBucket :: !Bucket
- imurKey :: !Text
- imurUploadId :: !Text

#### Instances

Instances details

AsMemoryResponse InitiateMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse

Methods

loadToMemory :: InitiateMultipartUploadResponse -> ResourceT IO (MemoryResponse InitiateMultipartUploadResponse) #

ResponseConsumer r InitiateMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata InitiateMultipartUploadResponse) -> HTTPResponseConsumer InitiateMultipartUploadResponse #

Transaction InitiateMultipartUpload InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse
type ResponseMetadata InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata

data UploadPart #

Constructors

UploadPart |

Fields

- upObjectName :: Text
- upBucket :: Bucket
- upPartNumber :: Integer
- upUploadId :: Text
- upContentType :: Maybe ByteString
- upContentMD5 :: Maybe (Digest MD5)
- upServerSideEncryption :: Maybe ServerSideEncryption
- upRequestBody :: RequestBody
- upExpect100Continue :: Bool

  Note: Requires http-client >= 0.4.10

#### Instances

Instances details

SignQuery UploadPart # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration UploadPart |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration

Methods

signQuery :: UploadPart -> ServiceConfiguration UploadPart queryType -> SignatureData -> SignedQuery #

ResponseConsumer UploadPart UploadPartResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

Methods

responseConsumer :: Request -> UploadPart -> IORef (ResponseMetadata UploadPartResponse) -> HTTPResponseConsumer UploadPartResponse #

Transaction UploadPart UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration UploadPart # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration

uploadPart :: Bucket -> Text -> Integer -> Text -> RequestBody -> UploadPart #

data UploadPartResponse #

Constructors

UploadPartResponse |

Fields

- uprETag :: !Text

#### Instances

Instances details

AsMemoryResponse UploadPartResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse

Methods

loadToMemory :: UploadPartResponse -> ResourceT IO (MemoryResponse UploadPartResponse) #

Show UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> UploadPartResponse -> ShowS # show :: UploadPartResponse -> String # showList :: [UploadPartResponse] -> ShowS #
ResponseConsumer UploadPart UploadPartResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

Methods

responseConsumer :: Request -> UploadPart -> IORef (ResponseMetadata UploadPartResponse) -> HTTPResponseConsumer UploadPartResponse #

Transaction UploadPart UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse
type ResponseMetadata UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

data CompleteMultipartUpload #

Constructors

CompleteMultipartUpload |

Fields

- cmuBucket :: Bucket
- cmuObjectName :: Object
- cmuUploadId :: Text
- cmuPartNumberAndEtags :: [(Integer, Text)]
- cmuExpiration :: Maybe Text
- cmuServerSideEncryption :: Maybe Text
- cmuServerSideEncryptionCustomerAlgorithm :: Maybe Text

#### Instances

Instances details

SignQuery CompleteMultipartUpload # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration CompleteMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration

Methods

signQuery :: CompleteMultipartUpload -> ServiceConfiguration CompleteMultipartUpload queryType -> SignatureData -> SignedQuery #

Show CompleteMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> CompleteMultipartUpload -> ShowS # show :: CompleteMultipartUpload -> String # showList :: [CompleteMultipartUpload] -> ShowS #
Transaction CompleteMultipartUpload CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration CompleteMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration

postCompleteMultipartUpload :: Bucket -> Text -> Text -> [(Integer, Text)] -> CompleteMultipartUpload #

data CompleteMultipartUploadResponse #

Constructors

CompleteMultipartUploadResponse |

Fields

- cmurLocation :: !Text
- cmurBucket :: !Bucket
- cmurKey :: !Text
- cmurETag :: !Text
- cmurVersionId :: !(Maybe Text)

#### Instances

Instances details

AsMemoryResponse CompleteMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse

Methods

loadToMemory :: CompleteMultipartUploadResponse -> ResourceT IO (MemoryResponse CompleteMultipartUploadResponse) #

Show CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> CompleteMultipartUploadResponse -> ShowS # show :: CompleteMultipartUploadResponse -> String # showList :: [CompleteMultipartUploadResponse] -> ShowS #
ResponseConsumer r CompleteMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CompleteMultipartUploadResponse) -> HTTPResponseConsumer CompleteMultipartUploadResponse #

Transaction CompleteMultipartUpload CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse
type ResponseMetadata CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata

data AbortMultipartUpload #

Constructors

AbortMultipartUpload |

Fields

- amuBucket :: Bucket
- amuObjectName :: Object
- amuUploadId :: Text

#### Instances

Instances details

SignQuery AbortMultipartUpload # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration AbortMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration

Methods

signQuery :: AbortMultipartUpload -> ServiceConfiguration AbortMultipartUpload queryType -> SignatureData -> SignedQuery #

Show AbortMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> AbortMultipartUpload -> ShowS # show :: AbortMultipartUpload -> String # showList :: [AbortMultipartUpload] -> ShowS #
Transaction AbortMultipartUpload AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration AbortMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration

postAbortMultipartUpload :: Bucket -> Text -> Text -> AbortMultipartUpload #

data AbortMultipartUploadResponse #

Constructors

AbortMultipartUploadResponse |

#### Instances

Instances details

AsMemoryResponse AbortMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse

Methods

loadToMemory :: AbortMultipartUploadResponse -> ResourceT IO (MemoryResponse AbortMultipartUploadResponse) #

Show AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> AbortMultipartUploadResponse -> ShowS # show :: AbortMultipartUploadResponse -> String # showList :: [AbortMultipartUploadResponse] -> ShowS #
ResponseConsumer r AbortMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata AbortMultipartUploadResponse) -> HTTPResponseConsumer AbortMultipartUploadResponse #

Transaction AbortMultipartUpload AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse
type ResponseMetadata AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata

getUploadId :: Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> IO Text #

sendEtag :: Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> Text -> [Text] -> IO CompleteMultipartUploadResponse #

putConduit :: forall (m :: Type -> Type). MonadResource m => Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> Text -> ConduitT ByteString Text m () #

chunkedConduit :: forall (m :: Type -> Type). MonadResource m => Integer -> ConduitT ByteString ByteString m () #

multipartUpload :: Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> ConduitT () ByteString (ResourceT IO) () -> Integer -> ResourceT IO () #

multipartUploadSink #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> Configuration |
-> S3Configuration NormalQuery |
-> Manager |
-> Text | Bucket name
-> Text | Object name
-> Integer | chunkSize (minimum: 5MB)
-> ConduitT ByteString Void m () |

multipartUploadWithInitiator :: Configuration -> S3Configuration NormalQuery -> (Bucket -> Text -> InitiateMultipartUpload) -> Manager -> Text -> Text -> ConduitT () ByteString (ResourceT IO) () -> Integer -> ResourceT IO () #

multipartUploadSinkWithInitiator #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> Configuration |
-> S3Configuration NormalQuery |
-> (Bucket -> Text -> InitiateMultipartUpload) | Initiator
-> Manager |
-> Text | Bucket name
-> Text | Object name
-> Integer | chunkSize (minimum: 5MB)
-> ConduitT ByteString Void m () |